EnvInject doesn't set empty variables

Change-Id: I4e29ec4db83b2b82f0cc897b5005ed7088bc127a
diff --git a/jjb/shell/sonarprep.sh b/jjb/shell/sonarprep.sh
index 6f2e23f..772ef20 100755
--- a/jjb/shell/sonarprep.sh
+++ b/jjb/shell/sonarprep.sh
@@ -15,7 +15,7 @@
 # limitations under the License.
 
 # sonarprep.sh - prep project for running sonarqube
-set -eu -o pipefail
+set -e -o pipefail
 
 # run build commands if not blank
 if [ ! -z "$SONAR_PREP_COMMANDS" ]